INTERFACE
SUBROUTINE ADD_MODERR_TL(YDSPERR,YDGPERR,KSTEP,YDSPERR1,YDGPERR1)
USE PARKIND1, ONLY: JPIM, JPRB
USE GRIDPOINT_FIELDS_MIX
USE SPECTRAL_FIELDS_MOD
TYPE(SPECTRAL_FIELD), INTENT(IN) :: YDSPERR(:)
TYPE(GRIDPOINT_FIELD), INTENT(IN) :: YDGPERR(:)
INTEGER(KIND=JPIM), INTENT(IN) :: KSTEP
TYPE(SPECTRAL_FIELD), OPTIONAL, INTENT(OUT) :: YDSPERR1(:)
TYPE(GRIDPOINT_FIELD), OPTIONAL, INTENT(OUT) :: YDGPERR1(:)
END SUBROUTINE ADD_MODERR_TL
END INTERFACE
